Uploaded image for project: 'Funtoo Linux'
  1. Funtoo Linux
  2. FL-5216

dev-ruby/rdoc-6.0.1::ruby-kit failed (install phase)

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Labels:
    • Environment:
    • CatPkg:
      dev-ruby/rdoc
    • Kit/Branch:
      ruby-kit/1.2-prime

      Description

      I have this if I do 'emerge -1 rdoc':

       * ERROR: dev-ruby/rdoc-6.0.1::ruby-kit failed (install phase):
      
       *   USE Flag 'ruby_targets_ruby22' not in IUSE for dev-ruby/rdoc-6.0.1
      
       *  
       * Call stack:
      
       *          ebuild.sh, line   92:  Called src_install
      
       *        environment, line 4682:  Called ruby-ng_src_install
      
       *        environment, line 4382:  Called _ruby_invoke_environment 'all' 'all_ruby_install'
      
       *        environment, line  669:  Called all_ruby_install
      
       *        environment, line  766:  Called use 'ruby_targets_ruby22'
      
       *   phase-helpers.sh, line  218:  Called die
      
       * The specific snippet of code:
      
       *                              die "USE Flag '${u}' not in IUSE for ${CATEGORY}/${PF}"
      
      

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            cafaia cafaia [X] (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: